Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000223KdenliveUser Interfacepublic2008-10-19 11:102008-11-12 22:22
Reportermadsdyd 
Assigned To 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000223: Editing the same project in multiple tabs; changes are not updated across tabs
DescriptionIf one opens the same project e.g. two times in different tabs, the edits done in one tab is not reflected in the other tab.

This is somewhat problematic, as the expected behaviour for this type of setup would be that the document state is shared between tabs: in effect only a single document is opened, and the tabs provide different views on them. Typical example is emacs buffers on the same file.

My suggestion is that kdenlive either is made to act like e.g. emacs, or refuse to open an already open project file again in the same sesion. With a preference for the former, as it allows one to easily switch between different parts of a project.
Steps To ReproduceMake sure the setting "Open projects in new tabs" is checked.
Open a .kdenlive file
Open it again
You should now have two tabs to the same file
Make a change in either tab.
The change is not reflected in the other tab.
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000465)
madsdyd (administrator)
2008-10-19 12:43

This has been fixed in svn rev. 2491 - only allow a project to be opened once. (Thanks, btw :-)

- Issue History
Date Modified Username Field Change
2008-10-19 11:10 madsdyd New Issue
2008-10-19 12:43 madsdyd Note Added: 0000465
2008-10-19 12:43 madsdyd Status new => closed
2008-10-19 12:43 madsdyd Resolution open => fixed
2008-10-19 12:43 madsdyd Fixed in Version => Recent git
2008-10-23 00:20 madsdyd Target Version Recent git => 0.7.0
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker